/**
 * @file    mg32f04p032_it.c
 * @author  MegawinTech Application Team
 * @version V1.0.1
 * @date    15-Mar-2023
 * @brief   This file contains all the system functions
 */

/* Define to prevent recursive inclusion */
#define _MG32F04P032_IT_C_

/* Files include */
#include "platform.h"
#include "tim13_14_timebase.h"
#include "mg32f04p032_it.h"

/**
  * @addtogroup MG32F04P032_LibSamples
  * @{
  */

/**
  * @addtogroup TIM13_14
  * @{
  */

/**
  * @addtogroup TIM13_14_TimeBase
  * @{
  */

/* Private typedef ****************************************************************************************************/

/* Private define *****************************************************************************************************/

/* Private macro ******************************************************************************************************/

/* Private variables **************************************************************************************************/

/* Private functions **************************************************************************************************/

/***********************************************************************************************************************
  * @brief  This function handles NMI exception
  * @note   none
  * @param  none
  * @retval none
  *********************************************************************************************************************/
void NMI_Handler(void)
{
}

/***********************************************************************************************************************
  * @brief  This function handles Hard Fault exception
  * @note   none
  * @param  none
  * @retval none
  *********************************************************************************************************************/
void HardFault_Handler(void)
{
    /* Go to infinite loop when Hard Fault exception occurs */
    while (1)
    {
    }
}

/***********************************************************************************************************************
  * @brief  This function handles SVCall exception
  * @note   none
  * @param  none
  * @retval none
  *********************************************************************************************************************/
void SVC_Handler(void)
{
}

/***********************************************************************************************************************
  * @brief  This function handles PendSVC exception
  * @note   none
  * @param  none
  * @retval none
  *********************************************************************************************************************/
void PendSV_Handler(void)
{
}

/***********************************************************************************************************************
  * @brief  This function handles SysTick Handler
  * @note   none
  * @param  none
  * @retval none
  *********************************************************************************************************************/
void SysTick_Handler(void)
{
    if (0 != PLATFORM_DelayTick)
    {
        PLATFORM_DelayTick--;
    }
}

/***********************************************************************************************************************
  * @brief  This function handles TIM13 Handler
  * @note   none
  * @param  none
  * @retval none
  *********************************************************************************************************************/
void TIM13_IRQHandler(void)
{
    if (RESET != TIM_GetITStatus(TIM13, TIM_IT_Update))
    {
        TIM13_UpdateFlag = 1;

        TIM_ClearITPendingBit(TIM13, TIM_IT_Update);
    }
}

/***********************************************************************************************************************
  * @brief  This function handles TIM14 Handler
  * @note   none
  * @param  none
  * @retval none
  *********************************************************************************************************************/
void TIM14_IRQHandler(void)
{
    if (RESET != TIM_GetITStatus(TIM14, TIM_IT_Update))
    {
        TIM14_UpdateFlag = 1;

        TIM_ClearITPendingBit(TIM14, TIM_IT_Update);
    }
}

/**
  * @}
  */

/**
  * @}
  */

/**
  * @}
  */

